%define oname   cancan

Name:       ruby-%{oname}
Version:    1.2.0
Release:    %mkrel 1
Summary:    Simple authorization solution for Rails
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/ryanb/cancan
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     cancan-1.2.0-rspec2.patch
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(rr)
BuildRequires: rubygem(rails)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Simple authorization solution for Rails which is completely decoupled from
the user's roles. All permissions are stored in a single location for
convenience.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake spec

%clean
rm -rf %{buildroot}



%changelog
* Sun Feb 13 2011 shikamaru <shikamaru> 1.2.0-1.mga1
+ Revision: 51345
- imported package ruby-cancan


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.2.0-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Sun Dec 19 2010 Rémy Clouard <shikamaru@mandriva.org> 1.2.0-1mdv2011.0
+ Revision: 623048
- import rubygem-cancan

